﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DAQ
{
    /// <summary>
    /// Modify communication settings. Settings are saved to Settings class and then to Config.xml file
    /// </summary>
    public partial class SettingsDlg : Window
    {
        public SettingsDlg()
        {
            InitializeComponent();
        }


        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            tbxUSBconnection.Text = Settings.USBconnection;
            tbxEthernetConnection.Text = Settings.EthernetConnection;
            switch (Settings.PreferredConnection)
            {
                case "USB":
                    rbUSB.IsChecked = true;
                    break;
                case "Ethernet":
                    rbEthernet.IsChecked = true;
                    break;
                default:    // throw exception here (corrupted data)
                    break;
            }
            switch (Settings.MainFreq)
            {
                case 50:
                    rb_50.IsChecked = true;
                    break;
                case 60:
                    rb_60.IsChecked = true;
                    break;
                default:    // throw exception here (corrupted data)
                    break;
            }
        }


        private void btnSave_Click(object sender, RoutedEventArgs e)
        {
            Settings.USBconnection = tbxUSBconnection.Text;
            Settings.EthernetConnection = tbxEthernetConnection.Text;
            
            if (rbUSB.IsChecked == true) Settings.PreferredConnection = "USB";
            else Settings.PreferredConnection = "Ethernet";

            if (rb_50.IsChecked == true) Settings.MainFreq = 50;
            else Settings.MainFreq = 60;

            this.DialogResult = true;
        }
    }
}
